Skip to content
Snippets Groups Projects
Commit 4bb2bcc4 authored by Alex Kanitz's avatar Alex Kanitz
Browse files

ci: add GitLab CI config

parent 00c2db18
No related branches found
No related tags found
1 merge request!5ci: add GitLab CI config
Pipeline #14453 failed
default:
tags:
- shell
test:
script:
- docker build -t imagetest:latest .
- false
- docker run --rm -it imagetest:latest tests/test.sh
6b5a66981bd83329219002897be393a6 test.test-mir.min.1.pileup.tab
#!/usr/bin/env bash
# Tear down test environment
cleanup () {
rc=$?
rm "test.test-mir.min.1.pileup.tab"
cd $user_dir
echo "Exit status: $rc"
}
trap cleanup EXIT
# Set up test environment
set -eo pipefail # ensures that script exits at first command that exits with non-zero status
set -u # ensures that script exits when unset variables are used
set -x # facilitates debugging by printing out executed commands
user_dir=$PWD
script_dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd)"
cd $script_dir
ascii_alignment_pileup.R \
--verbose \
--reference="test_files/test.fa.gz" \
--annotations="test_files/test.gff" \
--output-directory="$PWD" \
"test_files/test.bed" \
"test_files/test.bam"
# Check md5 sum of output file
md5sum --check "expected_output.md5"
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment